Agent Governance Protocol
API ReferenceDecision APICommerce

Get commerce session

GET
/agp/commerce-sessions/{commerceSessionId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.decision.read, agp.decision.write

Path Parameters

commerceSessionId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/commerce-sessions/string"
{  "type": "CommerceSession",  "commerce_session_id": "string",  "task_id": "string",  "ucp_session_ref": "string",  "merchant_id": "string",  "cart_hash": "string",  "status": "initialized",  "capability_token_ref": "string",  "liability_binding_ref": "string",  "created_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}